
#import "b4i_main.h"
#import "b4i_insert.h"


@implementation b4i_main 


+ (instancetype)new {
    static b4i_main* shared = nil;
    if (shared == nil) {
        shared = [self alloc];
        shared.bi = [[B4I alloc] init:shared];
        shared.__c = [B4ICommon new];
    }
    return shared;
}

- (NSString*)  _application_background{
 //BA.debugLineNum = 166;BA.debugLine="Private Sub Application_Background";
 //BA.debugLineNum = 168;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _application_start:(B4INavigationControllerWrapper*) _nav{
[self initializeStaticModules];
B4INativeObject* _no = nil;
 //BA.debugLineNum = 24;BA.debugLine="Private Sub Application_Start (Nav As NavigationController)";
 //BA.debugLineNum = 25;BA.debugLine="NavControl = Nav";
self._navcontrol = _nav;
 //BA.debugLineNum = 26;BA.debugLine="NavControl.NavigationBarVisible = False";
[self._navcontrol setNavigationBarVisible:[self.__c False]];
 //BA.debugLineNum = 28;BA.debugLine="NavControl.ToolBarVisible=False";
[self._navcontrol setToolBarVisible:[self.__c False]];
 //BA.debugLineNum = 30;BA.debugLine="Page1.Initialize(\"Page1\")";
[self._page1 Initialize:self.bi :@"Page1"];
 //BA.debugLineNum = 31;BA.debugLine="Page1.RootPanel.LoadLayout(\"1\")";
[[self._page1 RootPanel] LoadLayout:@"1" :self.bi];
 //BA.debugLineNum = 32;BA.debugLine="Nav.ShowPage(Page1)";
[_nav ShowPage:(UIViewController*)((self._page1).object)];
 //BA.debugLineNum = 34;BA.debugLine="If File.Exists(SQLDataBasePath, SQLDateBaseName) = False Then";
if ([[self.__c File] Exists:self._sqldatabasepath :self._sqldatebasename]==[self.__c False]) { 
 //BA.debugLineNum = 35;BA.debugLine="File.Copy(File.DirAssets, SQLDateBaseName, SQLDataBasePath, SQLDateBaseName)";
[[self.__c File] Copy:[[self.__c File] DirAssets] :self._sqldatebasename :self._sqldatabasepath :self._sqldatebasename];
 //BA.debugLineNum = 36;BA.debugLine="SQL1.Initialize(SQLDataBasePath, SQLDateBaseName, False)";
[self._sql1 Initialize:self._sqldatabasepath :self._sqldatebasename :[self.__c False]];
 }else {
 //BA.debugLineNum = 39;BA.debugLine="SQL1.Initialize(SQLDataBasePath, SQLDateBaseName, False)";
[self._sql1 Initialize:self._sqldatabasepath :self._sqldatebasename :[self.__c False]];
 };
 //BA.debugLineNum = 42;BA.debugLine="CaricaListaRapporto";
[self _caricalistarapporto];
 //BA.debugLineNum = 43;BA.debugLine="Dim no As NativeObject = App";
_no = [B4INativeObject new];
_no.object = (NSObject*)((self._app).object);
 //BA.debugLineNum = 44;BA.debugLine="no.RunMethod(\"setStatusBarHidden:animated:\", Array(True, False))";
[_no RunMethod:@"setStatusBarHidden:animated:" :[[B4IArray alloc]initObjectsWithData:@[[B4I nilToNSNull:(NSObject*)(@([self.__c True]))],[B4I nilToNSNull:(NSObject*)(@([self.__c False]))]]]];
 //BA.debugLineNum = 46;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _button1_click{
 //BA.debugLineNum = 171;BA.debugLine="Sub Button1_Click";
 //BA.debugLineNum = 172;BA.debugLine="Insert.showPage";
[self._insert _showpage];
 //BA.debugLineNum = 173;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _carica{
NSString* _query = @"";
B4IResultSet* _rs = nil;
NSString* _id = @"";
NSString* _nome = @"";
int _ore = 0;
B4ITableCell* _tc = nil;
 //BA.debugLineNum = 130;BA.debugLine="Sub carica";
 //BA.debugLineNum = 131;BA.debugLine="SQL1.Initialize(SQLDataBasePath, SQLDateBaseName, False)";
[self._sql1 Initialize:self._sqldatabasepath :self._sqldatebasename :[self.__c False]];
 //BA.debugLineNum = 132;BA.debugLine="TV.Clear";
[self._tv Clear];
 //BA.debugLineNum = 133;BA.debugLine="Dim query As String =(\"SELECT * FROM rapporto \")";
_query = (@"SELECT * FROM rapporto ");
 //BA.debugLineNum = 134;BA.debugLine="Dim rs As ResultSet";
_rs = [B4IResultSet new];
 //BA.debugLineNum = 135;BA.debugLine="rs = SQL1.ExecQuery(query)";
_rs = [self._sql1 ExecQuery:_query];
 //BA.debugLineNum = 136;BA.debugLine="If rs.NextRow = True Then";
if ([_rs NextRow]==[self.__c True]) { 
 //BA.debugLineNum = 138;BA.debugLine="Dim id =rs.GetString(\"id\")";
_id = [_rs GetString:@"id"];
 //BA.debugLineNum = 139;BA.debugLine="Dim nome As String =rs.GetString(\"nome\")";
_nome = [_rs GetString:@"nome"];
 //BA.debugLineNum = 140;BA.debugLine="Dim ore As Int =rs.GetString(\"ore\")";
_ore = [self.bi ObjectToNumber:[_rs GetString:@"ore"]].intValue;
 //BA.debugLineNum = 141;BA.debugLine="Dim tc As TableCell = TV.AddSingleLine(\"\")";
_tc = [self._tv AddSingleLine:@""];
 //BA.debugLineNum = 142;BA.debugLine="tc.CustomView =  CreaLista( id, nome,ore )";
[_tc setCustomView:[self _crealista:[self.bi ObjectToNumber:_id].intValue :_nome :_ore]];
 };
 //BA.debugLineNum = 145;BA.debugLine="Do While rs.nextrow";
while ([_rs NextRow]) {
 //BA.debugLineNum = 148;BA.debugLine="Dim id =rs.GetString(\"id\")";
_id = [_rs GetString:@"id"];
 //BA.debugLineNum = 149;BA.debugLine="Dim nome As String =rs.GetString(\"nome\")";
_nome = [_rs GetString:@"nome"];
 //BA.debugLineNum = 150;BA.debugLine="Dim ore As Int =rs.GetString(\"ore\")";
_ore = [self.bi ObjectToNumber:[_rs GetString:@"ore"]].intValue;
 //BA.debugLineNum = 151;BA.debugLine="Dim tc As TableCell = TV.AddSingleLine(\"\")";
_tc = [self._tv AddSingleLine:@""];
 //BA.debugLineNum = 152;BA.debugLine="tc.CustomView =  CreaLista( id, nome,ore )";
[_tc setCustomView:[self _crealista:[self.bi ObjectToNumber:_id].intValue :_nome :_ore]];
 }
;
 //BA.debugLineNum = 156;BA.debugLine="TV.ReloadAll";
[self._tv ReloadAll];
 //BA.debugLineNum = 158;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _caricalistarapporto{
NSString* _query = @"";
B4IResultSet* _rs = nil;
NSString* _id = @"";
NSString* _nome = @"";
int _ore = 0;
B4ITableCell* _tc = nil;
 //BA.debugLineNum = 47;BA.debugLine="Sub CaricaListaRapporto";
 //BA.debugLineNum = 49;BA.debugLine="SQL1.Initialize(SQLDataBasePath, SQLDateBaseName, False)";
[self._sql1 Initialize:self._sqldatabasepath :self._sqldatebasename :[self.__c False]];
 //BA.debugLineNum = 53;BA.debugLine="TV.Initialize(\"tv\", False)";
[self._tv Initialize:self.bi :@"tv" :[self.__c False]];
 //BA.debugLineNum = 54;BA.debugLine="PanelRapporto.AddView( TV,0,  17%y, 100%x, 67.5%y)";
[self._panelrapporto AddView:(UIView*)((self._tv).object) :(float) (0) :[self.__c PerYToCurrent:(float) (17)] :[self.__c PerXToCurrent:(float) (100)] :[self.__c PerYToCurrent:(float) (67.5)]];
 //BA.debugLineNum = 56;BA.debugLine="TV.RowHeight = 12%y";
[self._tv setRowHeight:[self.__c PerYToCurrent:(float) (12)]];
 //BA.debugLineNum = 58;BA.debugLine="Dim query As String =(\"SELECT * FROM rapporto \")";
_query = (@"SELECT * FROM rapporto ");
 //BA.debugLineNum = 59;BA.debugLine="Dim rs As ResultSet";
_rs = [B4IResultSet new];
 //BA.debugLineNum = 60;BA.debugLine="rs = SQL1.ExecQuery(query)";
_rs = [self._sql1 ExecQuery:_query];
 //BA.debugLineNum = 61;BA.debugLine="If rs.NextRow = True Then";
if ([_rs NextRow]==[self.__c True]) { 
 //BA.debugLineNum = 63;BA.debugLine="Dim id =rs.GetString(\"id\")";
_id = [_rs GetString:@"id"];
 //BA.debugLineNum = 64;BA.debugLine="Dim nome As String =rs.GetString(\"nome\")";
_nome = [_rs GetString:@"nome"];
 //BA.debugLineNum = 65;BA.debugLine="Dim ore As Int =rs.GetString(\"ore\")";
_ore = [self.bi ObjectToNumber:[_rs GetString:@"ore"]].intValue;
 //BA.debugLineNum = 66;BA.debugLine="Dim tc As TableCell = TV.AddSingleLine(\"\")";
_tc = [self._tv AddSingleLine:@""];
 //BA.debugLineNum = 67;BA.debugLine="tc.CustomView =  CreaLista( id, nome,ore )";
[_tc setCustomView:[self _crealista:[self.bi ObjectToNumber:_id].intValue :_nome :_ore]];
 };
 //BA.debugLineNum = 70;BA.debugLine="Do While rs.nextrow";
while ([_rs NextRow]) {
 //BA.debugLineNum = 73;BA.debugLine="Dim id =rs.GetString(\"id\")";
_id = [_rs GetString:@"id"];
 //BA.debugLineNum = 74;BA.debugLine="Dim nome As String =rs.GetString(\"nome\")";
_nome = [_rs GetString:@"nome"];
 //BA.debugLineNum = 75;BA.debugLine="Dim ore As Int =rs.GetString(\"ore\")";
_ore = [self.bi ObjectToNumber:[_rs GetString:@"ore"]].intValue;
 //BA.debugLineNum = 76;BA.debugLine="Dim tc As TableCell = TV.AddSingleLine(\"\")";
_tc = [self._tv AddSingleLine:@""];
 //BA.debugLineNum = 77;BA.debugLine="tc.CustomView =  CreaLista( id, nome,ore )";
[_tc setCustomView:[self _crealista:[self.bi ObjectToNumber:_id].intValue :_nome :_ore]];
 }
;
 //BA.debugLineNum = 81;BA.debugLine="rs.close";
[_rs Close];
 //BA.debugLineNum = 82;BA.debugLine="SQL1.close";
[self._sql1 Close];
 //BA.debugLineNum = 84;BA.debugLine="End Sub";
return @"";
}
- (B4IPanelWrapper*)  _crealista:(int) _id :(NSString*) _nome :(int) _ore{
B4IBitmap* _bitmap1 = nil;
B4ICanvas* _cv = nil;
B4IPanelWrapper* _p = nil;
B4ILabelWrapper* _label1 = nil;
B4ILabelWrapper* _label2 = nil;
B4IImageViewWrapper* _img = nil;
 //BA.debugLineNum = 85;BA.debugLine="Sub CreaLista(id As Int, nome As String,ore As Int ) As Panel";
 //BA.debugLineNum = 87;BA.debugLine="Dim  Bitmap1 As Bitmap";
_bitmap1 = [B4IBitmap new];
 //BA.debugLineNum = 88;BA.debugLine="Dim cv As Canvas";
_cv = [B4ICanvas new];
 //BA.debugLineNum = 89;BA.debugLine="Dim p As Panel";
_p = [B4IPanelWrapper new];
 //BA.debugLineNum = 90;BA.debugLine="p.Initialize(\"\")";
[_p Initialize:self.bi :@""];
 //BA.debugLineNum = 93;BA.debugLine="p.Width = 100%x";
[_p setWidth:[self.__c PerXToCurrent:(float) (100)]];
 //BA.debugLineNum = 94;BA.debugLine="p.Height = 100%y";
[_p setHeight:[self.__c PerYToCurrent:(float) (100)]];
 //BA.debugLineNum = 104;BA.debugLine="Dim Label1, Label2  As Label";
_label1 = [B4ILabelWrapper new];
_label2 = [B4ILabelWrapper new];
 //BA.debugLineNum = 105;BA.debugLine="Bitmap1.Initialize(File.DirAssets, \"rapporti.png\")";
[_bitmap1 Initialize:[[self.__c File] DirAssets] :@"rapporti.png"];
 //BA.debugLineNum = 106;BA.debugLine="Dim img As ImageView";
_img = [B4IImageViewWrapper new];
 //BA.debugLineNum = 107;BA.debugLine="Label1.Initialize(\"ViewRapporto\")";
[_label1 Initialize:self.bi :@"ViewRapporto"];
 //BA.debugLineNum = 108;BA.debugLine="Label2.Initialize(\"ViewRapporto\")";
[_label2 Initialize:self.bi :@"ViewRapporto"];
 //BA.debugLineNum = 110;BA.debugLine="img.Initialize(\"ViewRapporto\")";
[_img Initialize:self.bi :@"ViewRapporto"];
 //BA.debugLineNum = 111;BA.debugLine="Label1.Tag=id&\"1\"";
[_label1 setTag:(NSObject*)([@[[self.bi NumberToString:@(_id)],@"1"] componentsJoinedByString:@""])];
 //BA.debugLineNum = 112;BA.debugLine="Label2.Tag=id&\"2\"";
[_label2 setTag:(NSObject*)([@[[self.bi NumberToString:@(_id)],@"2"] componentsJoinedByString:@""])];
 //BA.debugLineNum = 114;BA.debugLine="img.Tag=id&\"4\"";
[_img setTag:(NSObject*)([@[[self.bi NumberToString:@(_id)],@"4"] componentsJoinedByString:@""])];
 //BA.debugLineNum = 116;BA.debugLine="Label1.Text=nome";
[_label1 setText:_nome];
 //BA.debugLineNum = 117;BA.debugLine="Label2.Text=ore";
[_label2 setText:[self.bi NumberToString:@(_ore)]];
 //BA.debugLineNum = 119;BA.debugLine="img.Bitmap = Bitmap1";
[_img setBitmap:_bitmap1];
 //BA.debugLineNum = 121;BA.debugLine="p.AddView(Label1,18%x,1%y,90%x,10%y )";
[_p AddView:(UIView*)((_label1).object) :[self.__c PerXToCurrent:(float) (18)] :[self.__c PerYToCurrent:(float) (1)] :[self.__c PerXToCurrent:(float) (90)] :[self.__c PerYToCurrent:(float) (10)]];
 //BA.debugLineNum = 122;BA.debugLine="p.AddView(Label2,68%x,4%y,30%x,10%y)";
[_p AddView:(UIView*)((_label2).object) :[self.__c PerXToCurrent:(float) (68)] :[self.__c PerYToCurrent:(float) (4)] :[self.__c PerXToCurrent:(float) (30)] :[self.__c PerYToCurrent:(float) (10)]];
 //BA.debugLineNum = 123;BA.debugLine="p.AddView(img,2%x,1%y,12%x,8%y)";
[_p AddView:(UIView*)((_img).object) :[self.__c PerXToCurrent:(float) (2)] :[self.__c PerYToCurrent:(float) (1)] :[self.__c PerXToCurrent:(float) (12)] :[self.__c PerYToCurrent:(float) (8)]];
 //BA.debugLineNum = 125;BA.debugLine="Label2.TextAlignment=Label2.ALIGNMENT_RIGHT";
[_label2 setTextAlignment:[_label2 ALIGNMENT_RIGHT]];
 //BA.debugLineNum = 127;BA.debugLine="Return p";
if (true) return _p;
 //BA.debugLineNum = 129;BA.debugLine="End Sub";
return nil;
}
- (NSString*)  _layoutrapporto{
 //BA.debugLineNum = 162;BA.debugLine="Sub LayoutRapporto";
 //BA.debugLineNum = 163;BA.debugLine="PanelRapporto.SetLayoutAnimated(0,0,0%x,0%y,100%x,100%y)";
[self._panelrapporto SetLayoutAnimated:(int) (0) :(float) (0) :[self.__c PerXToCurrent:(float) (0)] :[self.__c PerYToCurrent:(float) (0)] :[self.__c PerXToCurrent:(float) (100)] :[self.__c PerYToCurrent:(float) (100)]];
 //BA.debugLineNum = 164;BA.debugLine="imgRapporto.SetLayoutAnimated(0,0,0%x,0%y,100%x,100%y)";
[self._imgrapporto SetLayoutAnimated:(int) (0) :(float) (0) :[self.__c PerXToCurrent:(float) (0)] :[self.__c PerYToCurrent:(float) (0)] :[self.__c PerXToCurrent:(float) (100)] :[self.__c PerYToCurrent:(float) (100)]];
 //BA.debugLineNum = 165;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _page1_resize:(int) _width :(int) _height{
 //BA.debugLineNum = 159;BA.debugLine="Private Sub Page1_Resize(Width As Int, Height As Int)";
 //BA.debugLineNum = 160;BA.debugLine="LayoutRapporto";
[self _layoutrapporto];
 //BA.debugLineNum = 161;BA.debugLine="End Sub";
return @"";
}

- (void)initializeStaticModules {
    [[b4i_main new]initializeModule];
[[b4i_insert new]initializeModule];

}
- (NSString*)  _process_globals{
self._insert=[b4i_insert new];
 //BA.debugLineNum = 11;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 12;BA.debugLine="Public App As Application";
self._app = [B4IApplicationWrapper new];
 //BA.debugLineNum = 13;BA.debugLine="Public NavControl As NavigationController";
self._navcontrol = [B4INavigationControllerWrapper new];
 //BA.debugLineNum = 14;BA.debugLine="Private Page1 As Page";
self._page1 = [B4IPage new];
 //BA.debugLineNum = 15;BA.debugLine="Private TV As TableView";
self._tv = [B4ITableView new];
 //BA.debugLineNum = 16;BA.debugLine="Public SQL1 As SQL";
self._sql1 = [B4ISQL new];
 //BA.debugLineNum = 17;BA.debugLine="Public SQLDataBasePath = File.DirDocuments As String";
self._sqldatabasepath = [[self.__c File] DirDocuments];
 //BA.debugLineNum = 18;BA.debugLine="Public SQLDateBaseName = \"jwr2.db\" As String";
self._sqldatebasename = @"jwr2.db";
 //BA.debugLineNum = 19;BA.debugLine="Private PanelRapporto As Panel";
self._panelrapporto = [B4IPanelWrapper new];
 //BA.debugLineNum = 20;BA.debugLine="Private imgRapporto As ImageView";
self._imgrapporto = [B4IImageViewWrapper new];
 //BA.debugLineNum = 21;BA.debugLine="Private Button1 As Button";
self._button1 = [B4IButtonWrapper new];
 //BA.debugLineNum = 22;BA.debugLine="End Sub";
return @"";
}
@end
